Loading...
Searching...
No Matches
Http_te

## Macros

#define | HTTP_TE_INIT()
| Initializer for structure http_te_t.
#define | HTTPTAG_TE(x)
| Tag list item for pointer to a TE header object.
#define | HTTPTAG_TE_STR(s)
| Tag list item for string with TE header value.

## Typedefs

typedef struct http_te_s | http_te_t
| @HTTP_HEADER http_te TE header.

## Enumerations

enum | { http_te_hash }

## Functions

http_te_t * | http_te_init (http_te_t x[1])
| Initialize a structure http_te_t.
int | http_is_te (http_header_t const *header)
| Test if header object is instance of http_te_t.
http_te_t * | http_te_dup (su_home_t *home, http_te_t const *hdr))
| Duplicate (deep copy) `http_te_t`.
http_te_t * | http_te_copy (su_home_t *home, http_te_t const *hdr))
| Copy a http_te_t header structure.
http_te_t * | http_te_make (su_home_t *home, char const *s))
| Make a header structure http_te_t.
http_te_t * | http_te_format (su_home_t *home, char const *fmt,...)))
| Make a TE header from formatting result.

## Variables

msg_hclass_t | http_te_class []
| Header class for HTTP TE header.
msg_parse_f | http_te_d
| Decode (parse) a TE header.
msg_print_f | http_te_e
| Encode (print) a TE header.

## Detailed Description

## Macro Definition Documentation

## HTTP_TE_INIT

#define HTTP_TE_INIT | ( |  | ) |

Initializer for structure http_te_t.

A static http_te_t structure must be initialized with the HTTP_TE_INIT() macro. For instance,

http_te_t http_te = HTTP_TE_INIT;
http_te_t
struct http_te_s http_te_t
@HTTP_HEADER http_te TE header.
Definition http.h:145
HTTP_TE_INIT
#define HTTP_TE_INIT()
Initializer for structure http_te_t.
Definition http_protos.h:8592

## HTTPTAG_TE

#define HTTPTAG_TE | ( |  | x | ) |

Tag list item for pointer to a TE header object.

The HTTPTAG_TE() macro is used to include a tag item with a pointer to a http_te_t object in a tag list.

Parameters

  x | pointer to a http_te_t header structure, or NULL.

## HTTPTAG_TE_STR

#define HTTPTAG_TE_STR | ( |  | s | ) |

Tag list item for string with TE header value.

The HTTPTAG_TE_STR() macro is used to include a tag item with a string containing value of a http_te_t header in a tag list.

Parameters

  s | pointer to a string containing http_te_t value, or NULL.

The HTTPTAG_TE_STR string can be converted to a http_te_t header structure by giving the string s has second argument to function http_te_make().

## Typedef Documentation

## http_te_t

typedef struct http_te_s http_te_t

@HTTP_HEADER http_te TE header.

The TE request-header field indicates what extension transfer-codings it is willing to accept in the response and whether or not it is willing to accept trailer fields in a chunked transfer-coding. Its value may consist of the keyword "trailers" and/or a comma-separated list of extension transfer-coding names with optional accept parameters. Its syntax is defined in [H14.39] as follows:

TE = "TE" ":" #( t-codings )
t-codings = "trailers" | ( transfer-extension [ accept-params ] )

The structure http_te_t contains representation of TE header.

The http_te_t is defined as follows:

typedef struct http_te_s {
} http_te_t;
http_te_s
TE.
Definition http.h:273

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
http_te_hash | Hash of TE header.

## Function Documentation

## http_is_te()

int http_is_te | ( | http_header_t const * | header | ) |

inline

Test if header object is instance of http_te_t.

The function http_is_te() returns true (nonzero) if the header class is an instance of TE header object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function http_is_xte() returns true (nonzero) if the header object is an instance of header te and false (zero) otherwise.

## http_te_copy()

http_te_t * http_te_copy | ( | su_home_t * | home,
|  | http_te_t const * | hdr )

inline

Copy a http_te_t header structure.

The function http_te_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  te = http_te_copy(home, http->http_te);
  http_te_copy
  http_te_t * http_te_copy(su_home_t *home, http_te_t const *hdr))
  Copy a http_te_t header structure.
  Definition http_protos.h:8786

Returns
  The function http_te_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## http_te_dup()

http_te_t * http_te_dup | ( | su_home_t * | home,
|  | http_te_t const * | hdr )

inline

Duplicate (deep copy) `http_te_t`.

The function http_te_dup() duplicates a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  te = http_te_dup(home, http->http_te);
  http_te_dup
  http_te_t * http_te_dup(su_home_t *home, http_te_t const *hdr))
  Duplicate (deep copy) http_te_t.
  Definition http_protos.h:8779

Returns
  The function http_te_dup() returns a pointer to the newly duplicated http_te_t header structure, or NULL upon an error.

## http_te_format()

http_te_t * http_te_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a TE header from formatting result.

The function http_te_format() makes a new TE header object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function is usually implemented as a macro calling msg_header_format().

Returns
  The function http_te_format() returns a pointer to newly makes header structure, or NULL upon an error.

## http_te_init()

http_te_t * http_te_init | ( | http_te_t | x[1] | ) |

inline

Initialize a structure http_te_t.

An http_te_t structure can be initialized with the http_te_init() function/macro. For instance,

http_te_t http_te;
http_te_init(&http_te);
http_te_init
http_te_t * http_te_init(http_te_t x[1])
Initialize a structure http_te_t.
Definition http_protos.h:8608

## http_te_make()

http_te_t * http_te_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure http_te_t.

The function http_te_make() makes a new http_te_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function is usually implemented as a macro calling http_header_make().

Returns
  The function http_te_make() returns a pointer to newly maked http_te_t header structure, or NULL upon an error.

## Variable Documentation

## http_te_class

msg_hclass_t http_te_class[]

extern

Header class for HTTP TE header.

The header class http_te_class defines how a HTTP TE header is parsed and printed. It also contains methods used by HTTP parser and other functions to manipulate the http_te_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.